## Apache Zeta Components Manual :: Docs For Class ezcWorkflowNodeEnd

### Workflow::ezcWorkflowNodeEnd

### Class ezcWorkflowNodeEnd

An object of the ezcWorkflowNodeEnd class represents an end node of a workflow.

A workflow must have at least one end node. The execution of the workflow ends when an end node is reached. Creating an object of the ezcWorkflow class automatically creates a default end node for the new workflow. It can be accessed through the getEndNode() method.

Incoming nodes: 1 Outgoing nodes: 0

Example:

1. <?php
2. $workflow=new ezcWorkflow ('Test');
3. // build up your workflow here... result in $node
4. $node= ...
5. $workflow->startNode-> addOutNode (...some other node here...);
6. $node-> addOutNode ($workflow->endNode);
7. ?>

Source for this file: /Workflow/src/nodes/end.php

    ezcWorkflowNode
       |
       --ezcWorkflowNodeEnd

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWorkflowNodeCancel | This node implements the Cancel Case workflow pattern.

### Inherited Constants

From ezcWorkflowNode:
`ezcWorkflowNode::WAITING_FOR_ACTIVATION` | The node is waiting to be activated.
`ezcWorkflowNode::WAITING_FOR_EXECUTION` | The node is activated and waiting to be executed.

### Member Variables

protected integer | `$maxOutNodes = 0` Constraint: The maximum number of outgoing nodes this node has to have to be valid.
protected integer | `$minOutNodes = 0` Constraint: The minimum number of outgoing nodes this node has to have to be valid.

### Inherited Member Variables

From ezcWorkflowNode
protected | `ezcWorkflowNode::$activatedFrom`
protected | `ezcWorkflowNode::$activationState`
protected | `ezcWorkflowNode::$configuration`
protected | `ezcWorkflowNode::$id`
protected | `ezcWorkflowNode::$inNodes`
protected | `ezcWorkflowNode::$internalCall`
protected | `ezcWorkflowNode::$maxInNodes`
protected | `ezcWorkflowNode::$minInNodes`
protected | `ezcWorkflowNode::$numInNodes`
protected | `ezcWorkflowNode::$numOutNodes`
protected | `ezcWorkflowNode::$outNodes`
protected | `ezcWorkflowNode::$state`
protected | `ezcWorkflowNode::$threadId`

### Inherited Methods

From ezcWorkflowNode
public ezcWorkflowNode | `ezcWorkflowNode::__construct()` Constructs a new node with the configuration $configuration.
public void | `ezcWorkflowNode::accept()` Reimplementation of accept() calls accept on all out nodes.
protected void | `ezcWorkflowNode::activateNode()` Convenience method for activating an (outgoing) node.
public ezcWorkflowNode | `ezcWorkflowNode::addInNode()` Adds a node to the incoming nodes of this node.
public ezcWorkflowNode | `ezcWorkflowNode::addOutNode()` Adds a node to the outgoing nodes of this node.
public mixed | `ezcWorkflowNode::getConfiguration()` Returns the configuration of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getInNodes()` Returns the incoming nodes of this node.
public ezcWorkflowNode[] | `ezcWorkflowNode::getOutNodes()` Returns the outgoing nodes of this node.
public boolean | `ezcWorkflowNode::removeInNode()` Removes a node from the incoming nodes of this node.
public boolean | `ezcWorkflowNode::removeOutNode()` Removes a node from the outgoing nodes of this node.
public void | `ezcWorkflowNode::verify()` Checks this node's constraints.

Documentation generated by phpDocumentor 1.4.3